# EnhancedHSPredict

Predict enriched content

`POST /hscode-enhanced/classify`

**API:** HSCode classification service
**Tag:** public
**API Version:** 1.2.0
**Base URL:** https://hscode.api.avalara.com
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/automated-tariff-code/api/methods/public/EnhancedHSPredict/

## Description

Predicts the HS code along with additional compliance prediction.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `depth` | string | query | No | The length of the HS code to be predicted. `full` = 10 digits; `6` = 6 digits. |
| `api_version` | string | query | No | The API version to use. |
| `validate_hscode` | boolean | query | No | validity details along with hscode |

## Request Body

**Content-Type:** `application/json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 401 | Unauthorized | `UnauthorizedErrorResponse` |
| 403 | Forbidden | `ForbiddenErrorResponse` |
| 422 | Validation Error |  |
| default | Internal Error | `InternalErrorResponse` |

## Example Request

```bash
curl -X POST "https://hscode.api.avalara.com/hscode-enhanced/classify" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "product_title": "LEWEL Men's Stylish Back Printed 3/4th Sleeve T-Shirt (Black)",
  "cod": "CA",
  "image_url": "https://your.web/image.jpeg",
  "product_url": "https://your.web/your_product.html",
  "price": "$10",
  "product_category": "mens > clothes",
  "product_description": "Stylish Back Printed 3/4th Sleeve T-Shirt",
  "attributes": [
    {
      "Weaving method": "Knitted"
    }
  ],
  "enhanced_field": {
    "id": "0",
    "countryOfExport": "MX",
    "countryOfImport": "US",
    "countryOfManufacture": "CN",
    "productName": "",
    "hscode": "6210591",
    "startDate": "2024-01-01",
    "endDate": "2025-06-31"
  }
}'
```